summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Christopher Forrest2012-05-13 15:07:01 +0200
committer dsomero2012-05-13 15:07:01 +0200
commita7496388ba1027c9ea102b0ad07bfd812ff57555 (patch)
tree1d8226d08636d937b9b60cb1a88f981867df1178 /ham
parentd2df3ce39f02aa03b218b5ec7b572fa720589990 (diff)
downloadslackbuilds-a7496388ba1027c9ea102b0ad07bfd812ff57555.tar.gz
ham/7plus: Added (encoder vaguely similar to Unix's UUENCODE)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/7plus/7plus.SlackBuild92
-rw-r--r--ham/7plus/7plus.info10
-rw-r--r--ham/7plus/README13
-rw-r--r--ham/7plus/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/ham/7plus/7plus.SlackBuild b/ham/7plus/7plus.SlackBuild
new file mode 100644
index 0000000000..ce213568fe
--- /dev/null
+++ b/ham/7plus/7plus.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for 7plus
+
+# Written by Christopher Forrest <cforrest@gmx.net>
+
+# Copyright (c) 2012 Christopher Forrest
+# Copyright (c) 2003 Patrick Volkerding, of Slackware, Inc.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Portions
+# All rights reserved.
+#
+
+PRGNAM=7plus
+VERSION=${VERSION:-2.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/7pl225sr.zip
+mv 7plsrc.225 $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make -f linux.mak
+install -D -g root -o root -m 0755 7plus $PKG/usr/bin/7plus
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ 7pl_hist.nts 7plh_old.nts 7plus.cds read_me.1st \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/7plus/7plus.info b/ham/7plus/7plus.info
new file mode 100644
index 0000000000..036cd88d9a
--- /dev/null
+++ b/ham/7plus/7plus.info
@@ -0,0 +1,10 @@
+PRGNAM="7plus"
+VERSION="2.25"
+HOMEPAGE="http://sharon.esrac.ele.tue.nl/pub/linux/"
+DOWNLOAD="http://sharon.esrac.ele.tue.nl/pub/linux/7pl225sr.zip"
+MD5SUM="74e89f8fa00b7d02ef45386dc9f7352f"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+MAINTAINER="Christopher Forrest"
+EMAIL="cforrest@gmx.net"
+APPROVED="dsomero"
diff --git a/ham/7plus/README b/ham/7plus/README
new file mode 100644
index 0000000000..dd18c8ddaa
--- /dev/null
+++ b/ham/7plus/README
@@ -0,0 +1,13 @@
+7PLUS is an encoder vaguely similar to Unix's UUENCODE.
+It uses a very effective radix216 encoding and incorporates
+diverse mechanisms to ensure decoded data is not corrupted.
+It also includes an interactive repair mechanism which allows
+the repair of damaged files using correction files, thus
+eliminating the need to retransmit entire files. In case of
+a corruption, only the faulty sections are resent. 7PLUS
+is only meant to be used within the Packet Radio network
+for the tranport of binary data through Packet Radio mail.
+It cannot be used for Internet eMail since it needs a
+(almost) transparent path from end to end.
+
+This will not build on x86_84, patches welcome.
diff --git a/ham/7plus/slack-desc b/ham/7plus/slack-desc
new file mode 100644
index 0000000000..37e9f2b3d3
--- /dev/null
+++ b/ham/7plus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+7plus: 7PLUS (encoder vaguely similar to Unix's UUENCODE)
+7plus:
+7plus: It uses a very effective radix216 encoding and incorporates diverse
+7plus: mechanisms to ensure decoded data is not corrupted. It also includes
+7plus: an interactive repair mechanism which allows the repair of damaged
+7plus: files using correction files, thus eliminating the need to retransmit
+7plus: entire files. In case of a corruption, only the faulty sections are
+7plus: resent. 7PLUS is only meant to be used within the Packet Radio network
+7plus: for the tranport of binary data through Packet Radio mail. It cannot
+7plus: be used for Internet eMail since it needs a (almost) transparent path
+7plus: from end to end."